Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderLineAdjustmentPersistence

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.order.OrderLineAdjustmentPersistence

public class OrderLineAdjustmentPersistence
extends java.lang.Object

This class's role is to persist and read adjutments for Order Status type display/Administrator
It follows the pattern established by the CRUD objects in SmartBMP, only using the 'directUpdate' and 'directRefresh' and ignoring Belonging issues which are not relevant here.
Persistence and reading is done using a connection object passed by the calling method.

Constructor Summary
`OrderLineAdjustmentPersistence()`

Method Summary
`static long[]` | `findOrderLineAdjustmentPK(java.sql.Connection connection, long orderLinePk)` Given an Order Line Identifier and a Connection, returns an array of order adjustment identifier.
`static OrderAdjustmentPresentation` | `query(java.sql.Connection connection, long key)` Refresh from database, using primary key information in the where clause.
`static java.util.ArrayList` | `retrieveOrderLineAdjustmentPresentations(java.sql.Connection connection, long orderLinePk)` Retrieves all the OrderLineAdjustment into an ArrayList of OrderAdjustmentPresentation's, to be associated with and OrderLine, and further for use in JSP pages.
`static void` | `updateDirect(java.sql.Connection connection, long olaId, long orderLineId, java.sql.Date creationDate, LineAdjustment lineAdjustment)` Insert a new line adjustment in the ORDER_LINE_ADJUSTMENT table, using a generated key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderLineAdjustmentPersistence

    public OrderLineAdjustmentPersistence()

Method Detail

### updateDirect

    public static void updateDirect(java.sql.Connection connection,
                                    long olaId,
                                    long orderLineId,
                                    java.sql.Date creationDate,
                                    LineAdjustment lineAdjustment)
                             throws BMPException

  Insert a new line adjustment in the ORDER_LINE_ADJUSTMENT table, using a generated key.

  Parameters:
    `connection,` - the database connection
    `olaId,` - the PK for this order line adjustment
    `orderLineId,` - the 'foreign' key to the WLCS_ORDER_LINE table
    `creationDate,` - the date at which the order and its adjustments are persisted
    `lineAdjustments,` - the object to be persisted

### query

    public static OrderAdjustmentPresentation query(java.sql.Connection connection,
                                                    long key)
                                             throws BMPException

  Refresh from database, using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `key,` - the key for the particular adjustment in the table
  Returns:
    the corresponding OrderAdjustmentPresentation, to be associated with and OrderLine and used in a JSP

### findOrderLineAdjustmentPK

    public static long[] findOrderLineAdjustmentPK(java.sql.Connection connection,
                                                   long orderLinePk)
                                            throws BMPException

  Given an Order Line Identifier and a Connection, returns an array of order adjustment identifier. This can be in turn used to retrieve all OrderAdjustmentPresentation objects

  It selects the PKs in order they were created

  Parameters:
    `connection,` - to connect to the Commerce DB
    `orderLinePk,` - the PK for an order line
  Returns:
    a long[] of PK, null if none is there.

### retrieveOrderLineAdjustmentPresentations

    public static java.util.ArrayList retrieveOrderLineAdjustmentPresentations(java.sql.Connection connection,
                                                                               long orderLinePk)

  Retrieves all the OrderLineAdjustment into an ArrayList of OrderAdjustmentPresentation's, to be associated with and OrderLine, and further for use in JSP pages.

  The returned value may be empty, but not null.

  Parameters:
    `connection,` - to connect to the Commerce DB
    `orderLinePk,` - the PK for an order line
  Returns:
    an ArrayList of all OrderAdjustmentPresentations objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved